Bug 40146 - printtool script uses $* not "$@"
Summary: printtool script uses $* not "$@"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-10 20:55 UTC by Tim Waugh
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-02 19:04:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-05-10 20:55:29 UTC
The printtool script uses

exec printconf-gui $*

It should use

exec printconf-gui "$@"

in order to take account of arguments with IFS characters in.

Comment 1 Crutcher Dunnavant 2001-08-02 18:58:39 UTC
there is no longer any such beast.

Comment 2 Tim Waugh 2001-08-02 19:04:31 UTC
Huh?  But shouldn't there be?


Comment 3 Crutcher Dunnavant 2001-08-02 19:17:35 UTC
welcome to the wonderful world of symlinks.


Note You need to log in before you can comment on or make changes to this bug.